public class PortaTest {
	public static void main(String[] args) {
		Porta porta = Porta.getInstance();
		
		System.out.println("A porta estah inicialmente " + porta.status());
		
		System.out.println("Botão apertado!");
		porta.clicarBotao();
		System.out.println("Agora a porta estah " + porta.status());
		System.out.println("Botão apertado!");
		porta.clicarBotao();
		System.out.println("Agora a porta estah " + porta.status());
		
		System.out.println("Deixando a operação terminar!");
		porta.operacaoTerminada();
		System.out.println("Agora a porta estah " + porta.status());
		
		System.out.println("Botão apertado!");
		porta.clicarBotao();
		System.out.println("Agora a porta estah " + porta.status());
		System.out.println("Deixando a operação terminar!");
		porta.operacaoTerminada();
		System.out.println("Agora a porta estah " + porta.status());
		
		System.out.println("Botão apertado!");
		porta.clicarBotao();
		System.out.println("Agora a porta estah " + porta.status());
				
		System.out.println("Indo embora...");
		porta.timeout();
		System.out.println("Agora a porta estah " + porta.status());
		porta.operacaoTerminada();
		System.out.println("A porta estah " + porta.status());
		
	}
}
